# Uses of Class
org.apache.wiki.api.search.QueryItem

Packages that use QueryItem
Package
Description
org.apache.wiki.api.providers
Page Providers' API package of JSPWiki.

## Uses of QueryItem in org.apache.wiki.api.providers

Methods in org.apache.wiki.api.providers with parameters of type QueryItem
Modifier and Type
Method
Description
`Collection<Attachment>`
AttachmentProvider.`findAttachments(QueryItem[] query)`
Finds attachments based on the query.
`Collection<SearchResult>`
PageProvider.`findPages(QueryItem[] query)`
Finds pages based on the query.